View Issue Details

IDProjectCategoryView StatusLast Update
0005510DUMoBugpublic2019-06-01 12:32
ReporterwolfAssigned ToKyle_Katarn 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformOSWindows 10OS Version1809 64 bit
Product Version 
Target VersionFixed in Version2.17.5 
Summary0005510: Installation leads to wrong shortcut
DescriptionWhen a product of KC Softwares is already installed like SUMo, it has entered by default a shortcut in Windows 10 start menu with section KC Softwares, the product itself and its uninstaller without providing an appropriate product specific name. When then installing DUMo, it does the same by default. Regardless if this results in three or four entries in section KC Softwares of Windows 10 start menu, you cannot see directly to which product the shortcut Uninstall belongs. So please change name of that uninstaller to include the product name so that this name conflict doesn't lead to replacement but instead enables the user to have both and choose what he wants. So that shortcut should be renamed "DUMo Uninstall" instead or poorly Uninstall.

Windows 10 start menu doesn't allow to access the association to the product directly as was possible still 'til Windows 7. Indirectly it is nevertheless possible via context menu -> open storage location to see that it's the uninstaller of the last software installed.
Steps To ReproduceInstall SUMo on Windows 10 without changing defaults,
then install DUMo on the same Windows 10 device without changing defaults.
Look at the Windows 10 start menu into section KC Softwares where should be four shortcuts.
Additional InformationWhen installing DUMo and SUMo into different start menu sections and then moving these entries into another common section like KC Softwares, there'll be four entries, not three although two shortcuts carry the same name with different reference. You then can't know which Uninstall belongs to SUMo and which one to DUMo unless asking their reference value or refered storage location.

Please also FIX THIS WRONG ISSUE CATEGORIZATION of SUMo bug to DUMo bug. Standard users are not able to CLONE ACCROSS CATEGORIE in this MantisBT configuration opposed to your priviledged access. And then you might enter that I observed that behaviour with DUMo version 2.17.4.90.
TagsNo tags attached.

Relationships

related to 0005509 resolvedKyle_Katarn SUMo SUMo installation leads to wrong shortcut 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2019-05-25 15:49 wolf New Issue
2019-05-25 15:49 wolf Issue generated from: 0005509
2019-05-25 15:49 wolf Relationship added related to 0005509
2019-05-27 22:42 Kyle_Katarn Assigned To => Kyle_Katarn
2019-05-27 22:42 Kyle_Katarn Status new => confirmed
2019-05-27 22:42 Kyle_Katarn Target Version => 5.9.2
2019-05-27 22:42 Kyle_Katarn Summary DUMo installation leads to wrong shortcut => SUMo installation leads to wrong shortcut
2019-05-27 22:44 Kyle_Katarn Target Version 5.9.2 =>
2019-05-27 22:44 Kyle_Katarn Summary SUMo installation leads to wrong shortcut => Installation leads to wrong shortcut
2019-05-27 22:45 Kyle_Katarn Project SUMo => DUMo
2019-06-01 12:32 Kyle_Katarn Status confirmed => resolved
2019-06-01 12:32 Kyle_Katarn Resolution open => fixed
2019-06-01 12:32 Kyle_Katarn Fixed in Version => 2.17.5